version: 1

containers:
  db:
    image: mariadb:11.3.2
    command: --transaction-isolation=READ-COMMITTED --binlog-format=ROW --skip-innodb-read-only-compressed
    mounts:
      data:
        db: /var/lib/mysql
    environment:
      MARIADB_DATABASE: roundcubemail
      MARIADB_ROOT_PASSWORD: {{ derive_entropy(identifier="db_password") }}
    user: 1000:1000
    restart: always
    internal_ports:
      3306: 3306

  main:
    image: roundcube/roundcubemail:latest
    container_name: roundcubemail
    ingress_port: 80
    mounts:
      data:
        www: /var/www/html
    environment:
      ROUNDCUBEMAIL_DB_TYPE: mysql
      ROUNDCUBEMAIL_DB_HOST: db.roundcube.{{user}}.nirvati
      ROUNDCUBEMAIL_DB_PASSWORD: {{ derive_entropy(identifier="db_password") }}
      ROUNDCUBEMAIL_SKIN: elastic
      ROUNDCUBEMAIL_DEFAULT_HOST: tls://{{settings.mailserver}}
      ROUNDCUBEMAIL_SMTP_SERVER: tls://{{settings.mailserver}}
